#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: cluster_makepri.pl, v1.1.0.0 Fri 20 Apr 2007 02:49:15 AM CEST mstauber Exp $
# Copyright 2006-2007 Solarspeed Ltd. and NuOnce Networks, Inc. All rights reserved.

# This handler makes the current node primary in the cluster.

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$DEBUG = "0";
$DEBUG && open(STDERR, ">/tmp/cluster_makepri.debug");
$DEBUG && warn `date`;

system("/sbin/drbdsetup /dev/drbd0 primary -o >/dev/null 2>&1");
system("sleep 3");
system("/usr/share/heartbeat/hb_takeover >/dev/null 2>&1");
system("/etc/ha.d/resource.d/Filesystem /dev/drbd0 /vz ext3 start >/dev/null 2>&1");

system("/etc/init.d/libvirtd restart >/dev/null 2>&1");
system("/etc/init.d/libvirt-guests restart >/dev/null 2>&1");
system("/etc/init.d/vz start >/dev/null 2>&1");
system("/etc/init.d/vzeventd restart >/dev/null 2>&1");

$cce->bye('SUCCESS');
exit(0);
