#!/usr/bin/perl -w -I/usr/sausalito/perl/ -I/usr/sausalito/handlers/base/email/
# $Id$
# Copyright 2000, 2001 Sun Microsystems, Inc., All rights reserved.

use CCE;

use Sauce::Util;
use Sauce::Config;

# Globals.

my $cce = new CCE('Domain' => 'base-vserver');

$cce->connectfd();

my $obj = $cce->event_object();
my $old = $cce->event_old();
my $new = $cce->event_new();

$enable = $obj->{enabled};

if( $enable eq "1") {
    if( Sauce::Service::service_run_init('drbd', 'status') =~ /loaded OK/g) {
	Sauce::Service::service_run_init("drbd", "restart");
      } else {
	  Sauce::Service::service_run_init("drbd", "start");
	}
    Sauce::Service::service_set_init('drbd', 'on');
    if( Sauce::Service::service_run_init('heartbeat', 'status') =~ /heartbeat OK/g) {
	Sauce::Service::service_run_init("heartbeat", "restart");
      } else {
	  Sauce::Service::service_run_init("heartbeat", "start");
	}
    Sauce::Service::service_set_init('heartbeat', 'on');
    Sauce::Service::service_run_init("vz", "start");
    Sauce::Service::service_set_init('vz', 'on');
} else { 
    Sauce::Service::service_run_init("vz", "stop");
    Sauce::Service::service_set_init('vz', 'off');
   if( Sauce::Service::service_run_init('heartbeat', 'status') =~ /heartbeat OK/g) {
	Sauce::Service::service_run_init("heartbeat", "stop");
      }
    Sauce::Service::service_set_init('heartbeat', 'off');
    Sauce::Service::service_run_init("heartbeat", "stop");
    if( Sauce::Service::service_run_init('drbd', 'status') =~ /loaded OK/g) {
	Sauce::Service::service_run_init("drbd", "stop");
	system("/etc/init.d/drbd stop");
      }
    system("/etc/init.d/drbd stop");
    Sauce::Service::service_set_init('drbd', 'off');
    system("/etc/init.d/drbd stop");
}

$cce->bye("SUCCESS");

exit 0;

